CVC4::BitVectorRotateLeft Struct Reference

`#include <bitvector.h>`

## Public Member Functions

| BitVectorRotateLeft (unsigned rotateLeftAmount)
| operator unsigned () const

## Data Fields

unsigned | rotateLeftAmount

## Detailed Description

Definition at line 482 of file bitvector.h.

## Constructor & Destructor Documentation

## BitVectorRotateLeft()

CVC4::BitVectorRotateLeft::BitVectorRotateLeft | ( | unsigned | rotateLeftAmount | ) |

inline

Definition at line 484 of file bitvector.h.

## Member Function Documentation

## operator unsigned()

CVC4::BitVectorRotateLeft::operator unsigned | ( |  | ) | const

inline

Definition at line 486 of file bitvector.h.

## Field Documentation

## rotateLeftAmount

unsigned CVC4::BitVectorRotateLeft::rotateLeftAmount

Definition at line 483 of file bitvector.h.

The documentation for this struct was generated from the following file:

- src/util/bitvector.h